from popularity import settings

def default(backend, request, obj, points):
    """
    Default handler that just hit the passed *obj* with points.
    """
    backend.hit(obj, points)
    
def hit_user(backend, request, obj, points):
    """
    Handler that hit the object and the user that made the request.
    """
    default(backend, request, obj, points)
    if (request is not None and 
        request.user.is_authenticated() and
        str(obj._meta) != "auth.user" and
        "auth.user" in settings.RANKABLE_MODELS):
        backend.hit(request.user, points)