import sys
from optparse import make_option

from django.core.management.base import BaseCommand

from popularity import shortcuts

class Command(BaseCommand):
    """
    Update weekly or monthly ranks.
    """
    option_list = BaseCommand.option_list + (
        make_option('-p', "--period", 
            action='store', dest='period', default=None, type='string',
            help=('The popularity period: (weekly or monthly)')
        ),
    )
    help = 'Update weekly or monthly ranks.'
        
    def handle(self, **options):
        period = options["period"]
        if period not in ("weekly", "monthly"):
            print "Error: invalid period %s." % period
            sys.exit(1)
        shortcuts.backend.update(period)
