from django import http

from popularity import shortcuts, utils

def hit(request):
    """
    Ajax view managing object score hit.
    The request method must be POST.
    """
    if request.is_ajax() and request.method == "POST" and "objects" in request.POST:
        obj_points = utils.deserialize(request.POST["objects"])
        if obj_points:
            for obj, points in obj_points:
                shortcuts.hit(obj, points, request=request)
            return http.HttpResponse()
    return http.HttpResponseForbidden()
