from distutils.core import setup
import os

root_dir = os.path.dirname(__file__)
if root_dir:
    os.chdir(root_dir)

data_files = []
for dirpath, dirnames, filenames in os.walk('popularity'):
    for i, dirname in enumerate(dirnames):
        if dirname.startswith('.'): del dirnames[i]
    if '__init__.py' in filenames:
        continue
    elif filenames:
        for f in filenames:
            data_files.append(os.path.join(dirpath[len("popularity")+1:], f))
            
version = "%s.%s" % __import__('popularity').VERSION[:2]

setup(name='django-popularity-ranks',
    version=version,
    description='Popularity and view counts management for Django objects.',
    author='Francesco Banconi',
    author_email='francesco.banconi@gmail.com',
    url='https://bitbucket.org/frankban/django-popularity-ranks',
    download_url = 'https://bitbucket.org/frankban/django-popularity-ranks/downloads',
    zip_safe=False,
    packages=[
        'popularity', 
        'popularity.templatetags',
        'popularity.management',
        'popularity.management.commands'
    ],
    package_data={'popularity': data_files},
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Utilities'
    ],
)
